'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseJSON = parseJSON;
exports.checkError = checkError;
exports.apiHandler = apiHandler;
exports.makeQueryString = makeQueryString;
/**
 * Simple utilities to handle responses from ajax calls.
 */

function parseJSON(response) {
  return response.json();
}

function checkError(json) {
  if (json.type && json.type === 'error') {
    var error = new Error(json.message);
    throw error;
  }
  return json;
}

function apiHandler(onSuccess, onError) {
  return function (json) {
    if (json.type && json.type === 'error') {
      onError(json.message);
    } else {
      onSuccess(json);
    }
  };
}

function makeQueryString(obj) {
  return Object.keys(obj).map(function (key) {
    return key + '=' + encodeURIComponent(obj[key]);
  }).join('&');
}